<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Tariffs</strong>
                        </h3>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-3">
                                    <input [(ngModel)]="name" autocomplete="off" #item name="name" type="text"
                                        class="form-control input-sm-3" placeholder="Search For Name" />
                                </div>

                                <div class="col-sm-3">

                                    <select [(ngModel)]="tariff_type" (keydown.enter)="getTariffsForSearch()"
                                        name="tariff_type" placeholder="Tariff type" class="form-control">
                                        <option value="" hidden> Tariff type </option>
                                        <option value="TAXIMETER"> TAXIMETER </option>
                                        <option value="HOURLY_RATE"> HOURLY_RATE </option>
                                        <option value="FIX_RATE"> FIX_RATE </option>
                                        <option value="PRICE_PER_DISTANCE_UNIT"> PRICE_PER_DISTANCE_UNIT </option>
                                        <option value="GPS_TAXIMETER"> GPS_TAXIMETER </option>
                                    </select>
                                </div>
                                <div class="col-sm-3">
                                    <select [(ngModel)]="is_peek_tariff" (keydown.enter)="getTariffsForSearch()"
                                        placeholder="Peek time" name="is_peek_tariff" class="form-control">
                                        <option value="" hidden> Peek time </option>
                                        <option value="1"> with peek time </option>
                                        <option value="0"> without peek time </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="fm-row">
                            <div class="row">
                                <div class="col-sm-12 text-right">
                                    <button type="get" (click)="getTariffsForSearch();"
                                        class="btn btn-sm btn-primary blue">
                                        <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                    <button class="btn btn-sm btn-primary green" (click)="refetchTariff()">
                                        <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                                    <button class="btn btn-sm btn-primary red" (click)="reset()">
                                        <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                                    <ng-container *ngIf="aclAdd">
                                        <button type="submit" class="btn btn-primary btn-sm blue"
                                            [routerLink]="['/admin/administration/tariffs/add-tariff']">Add new
                                            record</button>
                                    </ng-container>
                                </div>
                            </div>
                        </div>

                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Tariffs" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col" style="width:200px;">Tariff</th>
                                            <th scope="col">Unit prices</th>
                                            <th scope="col">Vehicle Models</th>
                                            <th scope="col">Default tariff for company</th>
                                            <th scope="col">Default GPS taximeter tariff for company</th>
                                            <th scope="col">Default add. service tariff for company</th>

                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                        [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                        [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Coordinates</th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="showLoader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let tariff of tariffData">

                                            <td> Name :
                                                <span>
                                                    <strong> {{tariff.name}}</strong>
                                                </span>
                                                <br />
                                                <br /> Is General :
                                                <span>
                                                    <strong *ngIf='tariff.is_general==1'>Yes</strong>
                                                    <strong *ngIf='tariff.is_general==0'>No</strong>
                                                </span>
                                                <br />
                                                <br /> VAT(included) :
                                                <span> {{tariff.vat ? tariff.vat : 'N/A'}} </span>
                                                <br />
                                                <br /> Company :
                                                <span>
                                                    <strong> {{tariff.company }}</strong>
                                                </span>
                                                <br />
                                                <br /> Tariff type :
                                                <span> {{tariff.tariff_type ? tariff.tariff_type : 'N/A'}} </span>
                                                <br />
                                                <br /> Peek time :
                                                <span> {{true==tariff.is_peek_tariff ? 'Yes' : 'No'}} </span>
                                                <br />
                                                <br />
                                            </td>
                                            <td> unit_price:
                                                <span>
                                                    <strong>{{tariff.unit_price ? tariff.unit_price: 'N/A'}} </strong>
                                                    (AED)</span>
                                                <br />
                                                <br /> Start price :
                                                <span>
                                                    <strong>{{tariff.start_price ? tariff.start_price : 'N/A'}} </strong> (AED)
                                                </span>
                                                <br />
                                                <br /> Time included in start :
                                                <span>
                                                    <strong>{{tariff.included_in_start ? tariff.included_in_start : 'N/A'}}</strong>
                                                    (min)
                                                </span>
                                                <br />
                                                <br /> Price per distance :
                                                <span>
                                                    <strong>{{tariff.price_per_distance ? tariff.price_per_distance : 'N/A'}}</strong>
                                                    (AED) </span>
                                                <br />
                                                <br /> Price :
                                                <span>
                                                    <strong>{{tariff.standing_price ? tariff.standing_price : 'N/A'}}</strong>
                                                    (AED) </span>
                                                <br />
                                                <br /> Minimum fare :
                                                <span>
                                                    <strong>{{tariff.minimum_fare ? tariff.minimum_fare : 'N/A'}}</strong> (AED)
                                                </span>
                                                <br />
                                                <br />
                                            </td>
                                            <td> <span *ngFor='let model of tariff.vehicle_model_id'>
                                                    {{model.name}}<br />
                                                </span> </td>
                                            <td> N/A </td>
                                            <td> N/A </td>
                                            <td> N/A </td>

                                            <td>{{tariff.updated_at | date}}</td>
                                            <td>
                                                <button class="btn btn-sm btn-primary"
                                                    (click)="zones(tariff)">Coordinates</button>
                                            </td>
                                            <td *ngIf="aclEdit || aclDelete">

                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a
                                                        [routerLink]="['/admin/administration/tariffs/edit-tariff', tariff._id]">
                                                        <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                    </a>
                                                </span>&nbsp;&nbsp;&nbsp;
                                                <span *ngIf="aclDelete" matTooltip="Delete">
                                                    <a (click)="openDialog(tariff._id)">
                                                        <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                    </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>
                            <div class="container-fluid" *ngIf="tariffLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div *ngIf="del">
                                            <ngb-pagination [collectionSize]="tariffLength"
                                                (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                            </ngb-pagination>
                                        </div>
                                        <div *ngIf="!del">
                                            <ngb-pagination [collectionSize]="tariffLength"
                                                (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                            </ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="tariffLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>